Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 985181 - openstack-nova-novncproxy package provides no pre/post scripts.
Summary: openstack-nova-novncproxy package provides no pre/post scripts.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: openstack-nova
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact: Toure Dunnon
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-17 03:57 UTC by Etsuji Nakai
Modified: 2016-03-30 23:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-30 23:02:13 UTC


Attachments (Terms of Use)

Description Etsuji Nakai 2013-07-17 03:57:32 UTC
Description of problem:

Although openstack-nova-novncproxy provides "openstack-nova-novncproxy.service", its preuninstall scriptlet is empty. It should stop the running service before uninstall the package.

# rpm -ql openstack-nova-novncproxy-0.4-6.fc19.noarch
/etc/sysconfig/openstack-nova-novncproxy
/usr/bin/nova-novncproxy
/usr/lib/systemd/system/openstack-nova-novncproxy.service

# rpm -q --scripts openstack-nova-novncproxy-0.4-6.fc19.noarch
postinstall program: /bin/sh
preuninstall program: /bin/sh

Comment 2 Toure Dunnon 2014-06-05 20:01:02 UTC
#> rpm -qp --scripts openstack-nova-novncproxy-2013.1.2-4.fc19.noarch.rpm
 preuninstall scriptlet (using /bin/sh):
if [ $1 -eq 0 ] ; then
    for svc in novncproxy; do
        /bin/systemctl --no-reload disable openstack-nova-${svc}.service > /dev/null 2>&1 || :
        /bin/systemctl stop openstack-nova-${svc}.service > /dev/null 2>&1 || :
    done
fi
postuninstall scriptlet (using /bin/sh):
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    for svc in novncproxy; do
        /bin/systemctl try-restart openstack-nova-${svc}.service >/dev/null 2>&1 || :
    done
fi


Note You need to log in before you can comment on or make changes to this bug.